# Interface Source

Represents a source in a compilation.

#### Hierarchy

- Source

- Defined in codec/lib/compilations/types.ts:56

#####
Index

### Properties

ast?
compiler?
id?
language?
settings?
source?
sourcePath?

## Properties

### `Optional` ast

ast?: AstNode

The source's abstract syntax tree.

- Defined in codec/lib/compilations/types.ts:79

### `Optional` compiler

compiler?: CompilerVersion

This field is a compatibility hack only intended for internal use. (It allows the compiler to be set on a source if none is set on the compilation as a whole; please don't do that.)

- Defined in codec/lib/compilations/types.ts:85

### `Optional` id

id?: string

The source's ID. For internal compatibility purposes, this may technically be left out, but please include it.

- Defined in codec/lib/compilations/types.ts:61

### `Optional` language

language?: string

The language for the source file. For compatibility purposes, this may technicaly be left out, but please include it.

- Defined in codec/lib/compilations/types.ts:75

### `Optional` settings

settings?: Settings

This field is a compatibility hack only intended for internal use. (It allows the settings to be set on a source if none is set on the compilation as a whole; please don't do that.)

- Defined in codec/lib/compilations/types.ts:91

### `Optional` source

source?: string

The source text.

- Defined in codec/lib/compilations/types.ts:70

### `Optional` sourcePath

sourcePath?: string

The source's file path. If internal is true, will not be a real file path but rather just an arbitrary name.

- Defined in codec/lib/compilations/types.ts:66

Generated using TypeDoc